{% extends 'base.html.twig' %}

{% block body %}

{% block stylesheets %}
<link rel="stylesheet" type="text/css" href="{{asset('css/animate.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('css/style.css')}}">
{% endblock %}



<div class="backgroundfull" style="background-image: url({{asset('images/bglobby.gif')}} ); background-size: cover; z-index: -1"></div>

  <div class="modalDc" style="display: block;">
    <div id="waiting" class="modalContent">  waiting for your opponent ..
  </div>
  </div>


 <ul>
  <li><a href="/disconnect/{{lobbyid}}">Disconnect</a></li>
</ul>
<audio id="myAudio">
  <source src="{{asset('audio/audio2.mp3')}}" type="audio/mpeg">
</audio>

{% endblock %}

{% block javascripts %}

<script type="text/javascript" src="{{asset('js/jquery.min.js')}}"></script>
<script type="text/javascript" src="{{asset('js/responsivevoice.js')}}"></script>
<script type="text/javascript">
var myAudio = document.getElementById("myAudio"); 
myAudio.addEventListener('ended', function() {
    this.currentTime = 0;
    this.play();
}, false);
myAudio.play();

/*
var change = 0;
setInterval(function(){

if(change == 1)
  $('.backgroundfull').css('background-image','url({{asset("images/blue.png")}})');  
else if(change == 2)
  $('.backgroundfull').css('background-image','url({{asset("images/yellow.png")}})');  
else if(change == 3)
  $('.backgroundfull').css('background-image','url({{asset("images/brown.png")}})');  
else if(change == 4)
  $('.backgroundfull').css('background-image','url({{asset("images/grey.png")}})');  
else if(change == 5)
  $('.backgroundfull').css('background-image','url({{asset("images/orange.png")}})');  
else if(change == 6)
  $('.backgroundfull').css('background-image','url({{asset("images/green.png")}})');  
else if(change == 6)
  $('.backgroundfull').css('background-image','url({{asset("images/red.png")}})');  
else{
  change=0;
}

change++;
console.log(change);
},3000);*/

responsiveVoice.speak("waiting for your opponent");

if('{{lobbyid}}' != ""){
var check = setInterval(checkifuserconnect,1000);
}

  function checkifuserconnect(){
      $.ajax({
          url: '/Checkifuserconnected',
          type: 'POST',
          dataType: 'json',
          data: {
            'LobbyID' : "{{lobbyid}}"
          },
          success: function(data){
            if(data == "Joined"){
            $('#waiting').html('Connected');
            responsiveVoice.speak("Connected");
            window.location.replace('/choosetroops');
            }
            console.log('checking');
          },
          error: function(xhr,status,error){
           // alert(xhr.responseText);
          }
        });
  }


disable();
function disable(){
   $(window).on('keydown',function(event)
    {
    if(event.keyCode==123)
    {
        //alert('Entered F12');
        return false;
    }
    else if(event.keyCode == 116){
     return false;
   }
    else if(event.ctrlKey && event.keyCode == 116){
     return false;
   }
    else if(event.keyCode == 122){
        //f11
        return false;
   }
    else if(event.ctrlKey && event.shiftKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
    else if(event.ctrlKey && event.keyCode==73)
    {
        //alert('Entered ctrl+shift+i');
        return false;  //Prevent from ctrl+shift+i
    }
});
}
$(document).on("contextmenu",function(e)
{
//alert('Right Click Not Allowed');
e.preventDefault();
});
</script>
{% endblock %}
